# class XMPPFeatureSasl | A SASL feature. More...
Full name | `TelEngine::XMPPFeatureSasl`
Definition | `#include <libs/yjabber/xmpputils.h>`
Inherits | TelEngine::XMPPFeature [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline XMPPFeatureSasl (int mech, bool required = false)
- inline int mechanisms () const
- inline bool mechanism (int mech) const
- virtual XmlElement* build (bool addReq = true)

## Detailed Description

This class holds a SASL feature along with authentication mechanisms

inline XMPPFeatureSasl (int mech, bool required = false) | ### XMPPFeatureSasl

Constructor

Parameters:

mech | Authentication mechanism(s)
required | Required flag

inline int mechanisms () | ### mechanisms

[const]

Get the authentication mechanisms

Returns: The authentication mechanisms used by the JID

inline bool mechanism (int mech) | ### mechanism

[const]

Check if a given mechanism is allowed

Returns: True if the given mechanism is allowed

XmlElement* build (bool addReq = true) | ### build

[virtual]

Build an xml element from this feature

Parameters:

addReq | True to add the required/optional child

Returns: XmlElement pointer or 0

Reimplemented from XMPPFeature.

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.